Logo
OpenScaler

List Studio resources

GET
/v1/studio/resources

List of all resources in the project that can be displayed on the Studio canvas.

The Studio GET itself has no page or page_size. All matching resources in the project are returned. Note that some resources like snapshots and backups are not included.

Authorization

bearer_auth
AuthorizationBearer <token>

Authentication

Create an API token on Profile, or with osctl auth login. Send it in the Authorization header:

Authorization: Bearer os1_...

Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.

In: header

Query Parameters

project_id*string

ID of the project used to filter results.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/studio/resources?project_id=default"
{  "vpcs": [    {      "name": "my-vpc",      "description": "My website VPC",      "subnet": "10.1.0.0/24",      "vpc_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",      "is_default": false,      "region": "alg1",      "user_id": "7247ba6a-b17d-4c72-94f1-a36108aee56d",      "project_id": "default"    }  ],  "vms": [    {      "id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b",      "name": "my-example-computer",      "user_id": "7247ba6a-b17d-4c72-94f1-a36108aee56d",      "project_id": "default",      "uuid": "cc8b9d3c-fe4d-11ee-91c9-6aca7850c3b4",      "region": "alg1",      "description": "My example computer (generated from API)",      "distro": "debian-13",      "size": "b-1-500mb-10",      "memoryMB": 1024,      "vcpus": 1,      "storageGB": 161061273600,      "transferGB": 1000,      "vpc_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",      "node_type": "VM",      "created_at": "2024-04-19T13:07:39",      "updated_at": "2024-04-19T13:07:39"    }  ],  "volumes": [    {      "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",      "user_id": "user-abc123",      "project_id": "default",      "region": "alg1",      "name": "my-volume",      "description": "Block store for examples",      "sizeGB": 10,      "filesystem_type": "ext4",      "filesystem_label": "label-xyz",      "created_at": "2020-03-02T17:00:49Z",      "attached_vm_id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b"    }  ],  "load_balancers": [    {      "id": "550e8400-e29b-41d4-a716-446655440000",      "name": "my-lb",      "description": "Production load balancer",      "user_id": "usr_abc123",      "project_id": "default",      "size": "small",      "region": "alg1",      "visibility": "public",      "status": "ready",      "state": "running",      "network": {},      "created_at": "2024-06-01T12:00:00Z",      "updated_at": "2024-06-15T08:30:00Z"    }  ],  "clusters": [    {      "id": "0193e8a2-7c4b-7b1e-9f3a-2d5c8e1f0a6b",      "user_id": "2abb7c25-a2d5-42ac-a776-e8ac5dfb16c3",      "project_id": "default",      "name": "my-cluster",      "description": "Production workloads",      "region": "alg1",      "vpc_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",      "api_endpoint": "https://k8s.example.com:6443",      "vpc_subnet": "10.0.20.0/24",      "public_ip": "10.99.88.77",      "os": "Debian 11",      "version": "1.32.2",      "size": "b-2-4-100",      "node_count": 3,      "status": "running",      "autoscale": false,      "min_nodes": 1,      "max_nodes": 6,      "tags": [],      "created_at": "2025-01-15T13:24:27Z",      "updated_at": "2025-01-15T13:24:27Z"    }  ],  "elastic_servers": [    {      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",      "name": "my-servers",      "description": "My elastic servers",      "user_id": "2abb7c25-a2d5-42ac-a776-e8ac5dfb16c3",      "project_id": "default",      "distro": "debian-12",      "region": "alg1",      "vcpus": 1,      "storageGB": 25,      "memoryMB": 1024,      "transferGB": 1000,      "size": "s-1vcpu-1gb",      "vpc_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",      "vpc_subnet": "10.0.20.0/24",      "scale_config": {        "autoscale": true,        "min_nodes": 1,        "max_nodes": 5,        "autoscaling_metrics": [          {            "type": "cpu",            "min_threshold": 30,            "max_threshold": 60          }        ],        "cooldown": 90,        "metrics_interval": 60      },      "paused": false,      "autoscale": true,      "created_at": "2024-06-01T12:00:00Z",      "updated_at": "2024-06-15T08:30:00Z"    }  ]}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized. Send POST /v1/init, then retry the request."    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}